<template>
	<view class="wrap">
		<template v-for="(item, index) in tabList">
			<view class="work-stage-title">
				<view>
					<u-line style="border:5rpx solid #264DE9" length="33rpx" direction="col" color="#264DE9"
						:hair-line="false"></u-line>
				</view>
				<view class="title-label">{{ item.title }}</view>
			</view>
			<u-grid :border="false">
				<u-grid-item v-for="(baseListItem, baseListIndex) in item.list" :key="baseListIndex"
					@click="navTo(baseListItem.url)">
					<view class="img" :style="`background: url(../../../static/custom/home/${baseListItem.icon}.png) no-repeat;`">
					</view>
					<text class="grid-text">{{ baseListItem.name }}</text>
				</u-grid-item>
			</u-grid>
		</template>
	</view>
</template>
<script>
export default {
	data() {
		return {
			tabList: [
				{
					title: '生产管理',
					list: [
						{
							name: '报工',
							url: '/pages/product/report/index',
							icon: 'one'
						},
						// {
						// 	name: '取消报工',
						// 	url: '/pages/product/cancelReport/index',
						// 	icon: 'two'
						// },
						// {
						// 	name: '接收（铜杆）',
						// 	url: '/pages/product/receive/index',
						// 	icon: 'three'
						// },
						{
							name: '车间订单下发',
							url: '/pages/product/WorkshopOrderIssued/index',
							icon: 'four'
						},
						{
							name: '车间取消下发',
							url: '/pages/product/WorkshopOrderCancellationIssued/index',
							icon: 'five'
						},
					]
				},
				{
					title: '发货管理',
					list: [
						{
							name: '移库',
							url: '/pages/wareHouse/moveWareHouse/index',
							icon: 'six'
						},
						{
							name: '盘点报告盘点',
							url: '/pages/wareHouse/inventory/index',
							icon: 'seven'
						},
						// {
						// 	name: '核磅录入',
						// 	url: '/pages/wareHouse/nuclearScale/index',
						// 	icon: 'eight'
						// },
						// {
						// 	name: '库存件盘点',
						// 	url: '/pages/wareHouse/InventoryCountStockItems/index',
						// 	icon: 'nine'
						// },
						// {
						// 	name: '导体备货盘点',
						// 	url: '/pages/wareHouse/InventoryCheckConductiveMterials/index',
						// 	icon: 'ten'
						// },
					]
				},
				// {
				// 	title: '仓库管理',
				// 	list: [
				// 		{
				// 			name: '领料',
				// 			url: '/pages/storeManagement/MaterialRequisition/index',
				// 			icon: 'eleven'
				// 		},
				// 		{
				// 			name: '取消领料',
				// 			url: '/pages/storeManagement/CancelMaterialRequisition/index',
				// 			icon: 'twelve'
				// 		},
				// 	]
				// }
			]
		};
	},
	onShow() {
		//this.refreshCount();
	},
	methods: {
		navTo(url) {
			console.log(url)
			uni.navigateTo({
				url: url
			});
		}
	}
};
</script>
<style lang="scss">
.wrap {
	height: 100%;
	background: linear-gradient(to bottom, #e5f0ff, #f6f9ff);
	overflow-y: auto;
}

.work-stage-title {
	display: flex;
	flex-direction: row;
	align-items: center;
	margin-bottom: 38rpx;
	padding: 30rpx 30rpx;
	padding-bottom: 0;

	.title-label {
		margin-left: 14rpx;
		font-size: 34rpx;
		font-weight: bold;
		color: #283E65;
	}
}

.u-grid-item {
	background: transparent !important;
}

.img {
	width: 96rpx;
	height: 96rpx;
	background-size: contain !important;
	background-position: center !important;
}
</style>